cereal::common_detail::is_enum< T > Class Template Reference

Checks if a type is an enum. More...

`#include </home/shane/workspace/cereal/include/cereal/types/common.hpp>`

## Public Types

using | type = StrippedT
using | base_type = typename enum_underlying_type< StrippedT, value >::type

## Static Public Attributes

static const bool | value = std::is_enum<StrippedT>::value

## Detailed Description

### template<class T>
class cereal::common_detail::is_enum< T >

Checks if a type is an enum.

This is needed over simply calling std::is_enum because the type traits checking at compile time will attempt to call something like load_minimal with a special NoConvertRef struct that wraps up the true type.

This will strip away any of that and also expose the true underlying type.

The documentation for this class was generated from the following file:

- /home/shane/workspace/cereal/include/cereal/types/common.hpp